List sync products
Products synced to your store, with their variants.
GET https://cotlet.dev/api/v1/printful/sync-products
read
Returns the products in your store with ID, name and variant count. Use the variant ID with create_draft_order. Products that are not synced to a store do not appear.
Parameters
| Name | Type | Description |
|---|---|---|
| query string | string | Only products whose name contains this text. |
Request
curl https://cotlet.dev/api/v1/printful/sync-products \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("printful", "list_sync_products") const result = await cotlet.call('printful', 'list_sync_products'); cotlet call printful list_sync_products Example response
{
"products": [
{
"product_id": 410220,
"name": "Autumn tote",
"variants": [
{
"variant_id": 5120881,
"name": "Autumn tote, natural"
}
]
}
]
}